Bug 1216096 - Hard coded /tmp size of 64M causes problems
Hard coded /tmp size of 64M causes problems
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: docker-io (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lokesh Mandvekar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-04-28 09:30 EDT by Andy Goldstein
Modified: 2015-05-25 08:01 EDT (History)
19 users (show)

See Also:
Fixed In Version: docker-io-1.6.0-4.git350a636.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1215768
Environment:
Last Closed: 2015-05-08 03:45:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Goldstein 2015-04-28 09:30:58 EDT
+++ This bug was initially created as a clone of Bug #1215768 +++

I'm looking at b482aff8fbb5dc59d25335b67353465071d6bd45 in rhatdan/docker

It seems that you are hode coding all tmpfs mounts to 64M. Docker previously mounted tmpfs at /tmp and this added /run.

Golang uses TMPDIR to do its builds. When doing a rather large build (like openshift) which is larger than 64M it obviously can not work!

I think this size needs to be somehow configurable...  Deciding that X is enough /tmp space for everyone just doesn't seem like a possibility...

--- Additional comment from Daniel Walsh on 2015-04-28 08:13:12 EDT ---

Eric, any chance of changing TMPDIR -> /var/tmp?

--- Additional comment from Daniel Walsh on 2015-04-28 08:15:46 EDT ---

This should also not be happening in a docker build?

--- Additional comment from Daniel Walsh on 2015-04-28 08:32:57 EDT ---

Removed the size restrictions on /tmp and /run

Lokesh we need a new build of docker-1.6
Comment 1 Fedora Update System 2015-05-01 16:33:30 EDT
docker-io-1.6.0-4.git350a636.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/docker-io-1.6.0-4.git350a636.fc21
Comment 2 Fedora Update System 2015-05-02 14:04:48 EDT
Package docker-io-1.6.0-4.git350a636.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing docker-io-1.6.0-4.git350a636.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-7391/docker-io-1.6.0-4.git350a636.fc21
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2015-05-08 03:45:24 EDT
docker-io-1.6.0-4.git350a636.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Marcus Ramberg 2015-05-25 08:01:49 EDT
I wonder if this fix is what is causing https://bugzilla.redhat.com/show_bug.cgi?id=1213258

Note You need to log in before you can comment on or make changes to this bug.